Apply a bundle (dryRun=true plans)
POST
/api/v1/config/bundles:apply
const url = 'https://example.com/api/v1/config/bundles:apply';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/config/bundles:apply \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
applyToken
string
plan
required
Array<object>
object
action
required
string
diff
object
key
additional properties
host
string
kind
required
string
name
required
string
warnings
Array<string>
Examplegenerated
{ "applyToken": "example", "plan": [ { "action": "example", "diff": { "additionalProperty": "example" }, "host": "example", "kind": "example", "name": "example" } ], "warnings": [ "example" ]}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}